fiasco(3)

NAME
fiasco_d_options_new, fiasco_d_options_set_magnification, fiasco_d_options_delete, fiasco_d_options_set_smoothing fiasco_d_options_set_4_2_0_format - define additional options of FIASCO decoder

SYNOPSIS
#include <fiasco.h>

fiasco_d_options_t *
fiasco_d_options_new
(void);

void
fiasco_d_options_delete
(fiasco_d_options_t * options);

int
fiasco_d_options_set_4_2_0_format
(fiasco_d_options_t * options,
int format);

int
fiasco_d_options_set_magnification
(fiasco_d_options_t * options,
int level);

int
fiasco_d_options_set_smoothing
(fiasco_d_options_t * options,
unsigned smoothing);

DESCRIPTION
The fiasco_d_options_new() function allocates and initializes a FIASCO options object which is used to control additional decompression parameters. Conversely, the function fiasco_d_options_delete() discards the given FIASCO decoder options object. Several member functions are available to modify the default behavior of the FIASCO decoder. fiasco_d_options_set_smoothing() sets the smoothing-percentage along partitioning borders when the images are regenerated; default is 70. fiasco_d_options_set_magnification() sets the magnification of the regenerated image; default is 0, i.e., the image geometry is not changed. fiasco_d_options_set_4_2_0_format() defines whether the decoder should use the default 4:4:4 format or the 4:2:0 format. The latter one significantly reduces the decoding time at the cost of some additional blocking artefacts.

ARGUMENTS

options
    This object encapsulates various decoding parameters.

smoothing
    This percentage (range is 0 - i.e., no smoothing - to 100) defines how much the regenerated image is smoothed along the partitioning borders.

level
    This value gives the magnification of the decoded image with respect to the original size. Positive values increase and negative values decrease the width and height of the image by a factor of 2^abs(level).

format
    If format is 0 then the 4:4:4 color image format is used, i.e., the chroma channel are of the same size as the luminance. Otherwise, the 4:2:0 format is used. Then, width and height of each chroma channel is only one half of the width and height of the luminance.

RETURN VALUES
The function fiasco_d_options_new() returns a pointer to the newly allocated decoder option object. If an error has been caught, a NULL pointer is returned. All set functions return 1 on success and 0 if an error has been caught. In case of an error, use the function fiasco_get_error_message(3) to get a string with the last error message of FIASCO.

SEE ALSO
fiasco_decoder(3), fiasco_coder(3) Ullrich Hafner, Juergen Albert, Stefan Frank, and Michael Unger. Weighted Finite Automata for Video Compression, IEEE Journal on Selected Areas In Communications, January 1998
Ullrich Hafner. Low Bit-Rate Image and Video Coding with Weighted Finite Automata, Ph.D. thesis, Mensch & Buch Verlag, ISBN 3-89820-002-7, October 1999.

AUTHOR
Ullrich Hafner